POST Agents/Contact/GetMyContact
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/GetMyContact
Gets the contact belonging to the currently logged on user.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/GetMyContact?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/GetMyContact
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 813,
"Name": "Grady, Littel and Cruickshank",
"Department": "",
"OrgNr": "235928",
"Number1": "1134380",
"Number2": "771502",
"UpdatedDate": "2010-08-19T10:10:59.417258+02:00",
"CreatedDate": "2006-10-07T10:10:59.417258+02:00",
"Emails": [
{
"Value": "et",
"StrippedValue": "et",
"Description": "Team-oriented 3rd generation time-frame",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 302
}
}
},
{
"Value": "et",
"StrippedValue": "et",
"Description": "Team-oriented 3rd generation time-frame",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 302
}
}
}
],
"Interests": [
{
"Id": 666,
"Name": "Manufacturing Excellence Network",
"ToolTip": "Iste qui beatae ut eos voluptatem facere debitis.",
"Deleted": true,
"Rank": 361,
"Type": "voluptatem",
"ColorBlock": 971,
"IconHint": "quis",
"Selected": true,
"LastChanged": "2012-09-06T10:10:59.4182572+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "necessitatibus",
"StyleHint": "dolore",
"Hidden": false,
"FullName": "Miss Danny Lizzie Lind III",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 561
}
}
}
],
"Urls": [
{
"Value": "dolorem",
"StrippedValue": "ut",
"Description": "Self-enabling high-level orchestration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 693
}
}
},
{
"Value": "dolorem",
"StrippedValue": "ut",
"Description": "Self-enabling high-level orchestration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 693
}
}
}
],
"Phones": [
{
"Value": "et",
"StrippedValue": "fugiat",
"Description": "Face to face motivating website",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 248
}
}
},
{
"Value": "et",
"StrippedValue": "fugiat",
"Description": "Face to face motivating website",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 248
}
}
}
],
"Faxes": [
{
"Value": "saepe",
"StrippedValue": "ut",
"Description": "Switchable mission-critical service-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 717
}
}
},
{
"Value": "saepe",
"StrippedValue": "ut",
"Description": "Switchable mission-critical service-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 717
}
}
}
],
"Description": "Cross-group bandwidth-monitored contingency",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "tempora",
"PersonId": 224,
"Mrmrs": "excepturi",
"Firstname": "Kurt",
"Lastname": "Funk",
"MiddleName": "Turner Inc and Sons",
"Title": "optio",
"Description": "Team-oriented background workforce",
"Email": "ashton@medhurst.name",
"FullName": "Kian Mueller",
"DirectPhone": "(436)183-1039 x2485",
"FormalName": "Auer, Brakus and Casper",
"CountryId": 402,
"ContactId": 308,
"ContactName": "Osinski-Murphy",
"Retired": 818,
"Rank": 649,
"ActiveInterests": 704,
"ContactDepartment": "",
"ContactCountryId": 617,
"ContactOrgNr": "834022",
"FaxPhone": "1-974-696-0148",
"MobilePhone": "634-709-2259 x6990",
"ContactPhone": "187.235.6228",
"AssociateName": "Murazik-Parker",
"AssociateId": 929,
"UsePersonAddress": false,
"ContactFax": "qui",
"Kanafname": "sapiente",
"Kanalname": "officia",
"Post1": "dolor",
"Post2": "nulla",
"Post3": "et",
"EmailName": "buck_runolfsdottir@wolfhyatt.us",
"ContactFullName": "Tiana Mikayla Runte Sr.",
"ActiveErpLinks": 748,
"TicketPriorityId": 461,
"SupportLanguageId": 679,
"SupportAssociateId": 850,
"CategoryName": "VIP Customer",
"PersonNumber": "1504276",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 287
}
}
}
],
"NoMailing": false,
"Kananame": "est",
"Xstop": true,
"ActiveInterests": 338,
"GroupId": 470,
"ActiveStatusMonitorId": 16,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 253,
"DbiAgentId": 485,
"DbiLastSyncronized": "2001-12-24T10:10:59.423258+01:00",
"DbiKey": "fugit",
"DbiLastModified": "2007-03-03T10:10:59.423258+01:00",
"SupportPerson": null,
"Address": null,
"Source": 146,
"ActiveErpLinks": 999,
"BounceEmails": [
"old-address@globalind.com",
"discontinued@globalind.com"
],
"Domains": [
"harum",
"qui"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Ms. Sheridan Sandy Sanford",
"SuperOffice:2": "Alta Americo Dooley V"
},
"ExtraFields": {
"ExtraFields1": "fugit",
"ExtraFields2": "esse"
},
"CustomFields": {
"CustomFields1": "ea",
"CustomFields2": "debitis"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 912
}
}
}